package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 试题
type Test struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Uid        string             `bson:"uid,omitempty" json:"uid"`         // 创建人的id
	Type       string             `bson:"type,omitempty" json:"type"`       // 试题类型: 单选/判断
	Socre      *int               `bson:"socre,omitempty" json:"socre"`     // 分值
	Content    string             `bson:"content,omitempty" json:"content"` // 题目内容
	Answer     string             `bson:"answer,omitempty" json:"answer"`   // 答案 A/B/C/D/T/F
	Options    map[string]string  `bson:"options,omitempty" json:"options"` // 选项 {"A":"xxx","B":"xxx","C":"xxx","D":"xxx"} / {"T":"xxx","F":"xxx"}
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time          `bson:"updateTime,omitempty" json:"updateTime"`
}
